import { gql } from "@apollo/client";

export const ARTICLE = gql`
  query Article($id: String!) {
    article(id: $id) {
      id
      title
      content
      publishedAt
      histories {
        updatedAt
        payload
        automatically
      }
    }
  }
`;
export const ARTICLES = gql`
  query Articles {
    articles {
      id
      title
      publishedAt
    }
  }
`;
export const REMOVE_ARTICLE = gql`
  mutation RemoveArticle($id: String!) {
    removeArticle(id: $id)
  }
`;